Bug 176695 - undefined symbol: __stack_chk_fail_local
Summary: undefined symbol: __stack_chk_fail_local
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-30 04:46 UTC by Marius Feraru
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-28 05:27:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marius Feraru 2005-12-30 04:46:17 UTC
on rawhide, when trying to use ImageMagick perl bindings, it crashes with:

Can't load
'/usr/lib/perl5/vendor_perl/5.8.7/i386-linux-thread-multi/auto/Image/Magick/Magick.so'
for module Image::Magick:
/usr/lib/perl5/vendor_perl/5.8.7/i386-linux-thread-multi/auto/Image/Magick/Magick.so:
undefined symbol: __stack_chk_fail_local at
/usr/lib/perl5/5.8.7/i386-linux-thread-multi/DynaLoader.pm line 230.

This message gave me a hint:
https://www.redhat.com/archives/fedora-devel-list/2005-November/msg00270.html

So, I rebuilt ImageMagick using proper MakeMaker options:
--with-perl-options="INSTALLDIRS=vendor CCFLAGS='-L$PWD/magick/.libs'
LDDLFLAGS='-shared -L$PWD/magick/.libs'"

Now everything works OK.

Comment 1 Matthias Clasen 2006-08-28 05:27:32 UTC
I believe this has been fixed a long time ago.


Note You need to log in before you can comment on or make changes to this bug.